IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/32
Addresses2^96
/64 networks2^32
- Network
3fff:3f::/32- First address
3fff:3f::- Last address
3fff:3f:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 79,228,162,514,264,337,593,543,950,336 (2^96)
- /64 networks (LANs)
- 4,294,967,296
- Full form
3fff:003f:0000:0000:0000:0000:0000:0000- Type
- Documentation 3fff::/20
For examples (RFC 9637) - Reverse DNS zone
f.3.0.0.f.f.f.3.ip6.arpa
Split into smaller subnets
3fff:3f::/32 makes 4,096 subnets of /44; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3fff:3f::/44 | 3fff:3f:f:ffff:ffff:ffff:ffff:ffff |
| 2 | 3fff:3f:10::/44 | 3fff:3f:1f:ffff:ffff:ffff:ffff:ffff |
| 3 | 3fff:3f:20::/44 | 3fff:3f:2f:ffff:ffff:ffff:ffff:ffff |
| 4 | 3fff:3f:30::/44 | 3fff:3f:3f:ffff:ffff:ffff:ffff:ffff |
| 5 | 3fff:3f:40::/44 | 3fff:3f:4f:ffff:ffff:ffff:ffff:ffff |
| 6 | 3fff:3f:50::/44 | 3fff:3f:5f:ffff:ffff:ffff:ffff:ffff |
| 7 | 3fff:3f:60::/44 | 3fff:3f:6f:ffff:ffff:ffff:ffff:ffff |
| 8 | 3fff:3f:70::/44 | 3fff:3f:7f:ffff:ffff:ffff:ffff:ffff |
| 9 | 3fff:3f:80::/44 | 3fff:3f:8f:ffff:ffff:ffff:ffff:ffff |
| 10 | 3fff:3f:90::/44 | 3fff:3f:9f:ffff:ffff:ffff:ffff:ffff |
| 11 | 3fff:3f:a0::/44 | 3fff:3f:af:ffff:ffff:ffff:ffff:ffff |
| 12 | 3fff:3f:b0::/44 | 3fff:3f:bf:ffff:ffff:ffff:ffff:ffff |
| 13 | 3fff:3f:c0::/44 | 3fff:3f:cf:ffff:ffff:ffff:ffff:ffff |
| 14 | 3fff:3f:d0::/44 | 3fff:3f:df:ffff:ffff:ffff:ffff:ffff |
| 15 | 3fff:3f:e0::/44 | 3fff:3f:ef:ffff:ffff:ffff:ffff:ffff |
| 16 | 3fff:3f:f0::/44 | 3fff:3f:ff:ffff:ffff:ffff:ffff:ffff |
| 17 | 3fff:3f:100::/44 | 3fff:3f:10f:ffff:ffff:ffff:ffff:ffff |
| 18 | 3fff:3f:110::/44 | 3fff:3f:11f:ffff:ffff:ffff:ffff:ffff |
| 19 | 3fff:3f:120::/44 | 3fff:3f:12f:ffff:ffff:ffff:ffff:ffff |
| 20 | 3fff:3f:130::/44 | 3fff:3f:13f:ffff:ffff:ffff:ffff:ffff |
| 21 | 3fff:3f:140::/44 | 3fff:3f:14f:ffff:ffff:ffff:ffff:ffff |
| 22 | 3fff:3f:150::/44 | 3fff:3f:15f:ffff:ffff:ffff:ffff:ffff |
| 23 | 3fff:3f:160::/44 | 3fff:3f:16f:ffff:ffff:ffff:ffff:ffff |
| 24 | 3fff:3f:170::/44 | 3fff:3f:17f:ffff:ffff:ffff:ffff:ffff |
| 25 | 3fff:3f:180::/44 | 3fff:3f:18f:ffff:ffff:ffff:ffff:ffff |
| 26 | 3fff:3f:190::/44 | 3fff:3f:19f:ffff:ffff:ffff:ffff:ffff |
| 27 | 3fff:3f:1a0::/44 | 3fff:3f:1af:ffff:ffff:ffff:ffff:ffff |
| 28 | 3fff:3f:1b0::/44 | 3fff:3f:1bf:ffff:ffff:ffff:ffff:ffff |
| 29 | 3fff:3f:1c0::/44 | 3fff:3f:1cf:ffff:ffff:ffff:ffff:ffff |
| 30 | 3fff:3f:1d0::/44 | 3fff:3f:1df:ffff:ffff:ffff:ffff:ffff |
| 31 | 3fff:3f:1e0::/44 | 3fff:3f:1ef:ffff:ffff:ffff:ffff:ffff |
| 32 | 3fff:3f:1f0::/44 | 3fff:3f:1ff:ffff:ffff:ffff:ffff:ffff |
| 33 | 3fff:3f:200::/44 | 3fff:3f:20f:ffff:ffff:ffff:ffff:ffff |
| 34 | 3fff:3f:210::/44 | 3fff:3f:21f:ffff:ffff:ffff:ffff:ffff |
| 35 | 3fff:3f:220::/44 | 3fff:3f:22f:ffff:ffff:ffff:ffff:ffff |
| 36 | 3fff:3f:230::/44 | 3fff:3f:23f:ffff:ffff:ffff:ffff:ffff |
| 37 | 3fff:3f:240::/44 | 3fff:3f:24f:ffff:ffff:ffff:ffff:ffff |
| 38 | 3fff:3f:250::/44 | 3fff:3f:25f:ffff:ffff:ffff:ffff:ffff |
| 39 | 3fff:3f:260::/44 | 3fff:3f:26f:ffff:ffff:ffff:ffff:ffff |
| 40 | 3fff:3f:270::/44 | 3fff:3f:27f:ffff:ffff:ffff:ffff:ffff |
| 41 | 3fff:3f:280::/44 | 3fff:3f:28f:ffff:ffff:ffff:ffff:ffff |
| 42 | 3fff:3f:290::/44 | 3fff:3f:29f:ffff:ffff:ffff:ffff:ffff |
| 43 | 3fff:3f:2a0::/44 | 3fff:3f:2af:ffff:ffff:ffff:ffff:ffff |
| 44 | 3fff:3f:2b0::/44 | 3fff:3f:2bf:ffff:ffff:ffff:ffff:ffff |
| 45 | 3fff:3f:2c0::/44 | 3fff:3f:2cf:ffff:ffff:ffff:ffff:ffff |
| 46 | 3fff:3f:2d0::/44 | 3fff:3f:2df:ffff:ffff:ffff:ffff:ffff |
| 47 | 3fff:3f:2e0::/44 | 3fff:3f:2ef:ffff:ffff:ffff:ffff:ffff |
| 48 | 3fff:3f:2f0::/44 | 3fff:3f:2ff:ffff:ffff:ffff:ffff:ffff |
| 49 | 3fff:3f:300::/44 | 3fff:3f:30f:ffff:ffff:ffff:ffff:ffff |
| 50 | 3fff:3f:310::/44 | 3fff:3f:31f:ffff:ffff:ffff:ffff:ffff |
| 51 | 3fff:3f:320::/44 | 3fff:3f:32f:ffff:ffff:ffff:ffff:ffff |
| 52 | 3fff:3f:330::/44 | 3fff:3f:33f:ffff:ffff:ffff:ffff:ffff |
| 53 | 3fff:3f:340::/44 | 3fff:3f:34f:ffff:ffff:ffff:ffff:ffff |
| 54 | 3fff:3f:350::/44 | 3fff:3f:35f:ffff:ffff:ffff:ffff:ffff |
| 55 | 3fff:3f:360::/44 | 3fff:3f:36f:ffff:ffff:ffff:ffff:ffff |
| 56 | 3fff:3f:370::/44 | 3fff:3f:37f:ffff:ffff:ffff:ffff:ffff |
| 57 | 3fff:3f:380::/44 | 3fff:3f:38f:ffff:ffff:ffff:ffff:ffff |
| 58 | 3fff:3f:390::/44 | 3fff:3f:39f:ffff:ffff:ffff:ffff:ffff |
| 59 | 3fff:3f:3a0::/44 | 3fff:3f:3af:ffff:ffff:ffff:ffff:ffff |
| 60 | 3fff:3f:3b0::/44 | 3fff:3f:3bf:ffff:ffff:ffff:ffff:ffff |
| 61 | 3fff:3f:3c0::/44 | 3fff:3f:3cf:ffff:ffff:ffff:ffff:ffff |
| 62 | 3fff:3f:3d0::/44 | 3fff:3f:3df:ffff:ffff:ffff:ffff:ffff |
| 63 | 3fff:3f:3e0::/44 | 3fff:3f:3ef:ffff:ffff:ffff:ffff:ffff |
| 64 | 3fff:3f:3f0::/44 | 3fff:3f:3ff:ffff:ffff:ffff:ffff:ffff |
| 65 | 3fff:3f:400::/44 | 3fff:3f:40f:ffff:ffff:ffff:ffff:ffff |
| 66 | 3fff:3f:410::/44 | 3fff:3f:41f:ffff:ffff:ffff:ffff:ffff |
| 67 | 3fff:3f:420::/44 | 3fff:3f:42f:ffff:ffff:ffff:ffff:ffff |
| 68 | 3fff:3f:430::/44 | 3fff:3f:43f:ffff:ffff:ffff:ffff:ffff |
| 69 | 3fff:3f:440::/44 | 3fff:3f:44f:ffff:ffff:ffff:ffff:ffff |
| 70 | 3fff:3f:450::/44 | 3fff:3f:45f:ffff:ffff:ffff:ffff:ffff |
| 71 | 3fff:3f:460::/44 | 3fff:3f:46f:ffff:ffff:ffff:ffff:ffff |
| 72 | 3fff:3f:470::/44 | 3fff:3f:47f:ffff:ffff:ffff:ffff:ffff |
| 73 | 3fff:3f:480::/44 | 3fff:3f:48f:ffff:ffff:ffff:ffff:ffff |
| 74 | 3fff:3f:490::/44 | 3fff:3f:49f:ffff:ffff:ffff:ffff:ffff |
| 75 | 3fff:3f:4a0::/44 | 3fff:3f:4af:ffff:ffff:ffff:ffff:ffff |
| 76 | 3fff:3f:4b0::/44 | 3fff:3f:4bf:ffff:ffff:ffff:ffff:ffff |
| 77 | 3fff:3f:4c0::/44 | 3fff:3f:4cf:ffff:ffff:ffff:ffff:ffff |
| 78 | 3fff:3f:4d0::/44 | 3fff:3f:4df:ffff:ffff:ffff:ffff:ffff |
| 79 | 3fff:3f:4e0::/44 | 3fff:3f:4ef:ffff:ffff:ffff:ffff:ffff |
| 80 | 3fff:3f:4f0::/44 | 3fff:3f:4ff:ffff:ffff:ffff:ffff:ffff |
| 81 | 3fff:3f:500::/44 | 3fff:3f:50f:ffff:ffff:ffff:ffff:ffff |
| 82 | 3fff:3f:510::/44 | 3fff:3f:51f:ffff:ffff:ffff:ffff:ffff |
| 83 | 3fff:3f:520::/44 | 3fff:3f:52f:ffff:ffff:ffff:ffff:ffff |
| 84 | 3fff:3f:530::/44 | 3fff:3f:53f:ffff:ffff:ffff:ffff:ffff |
| 85 | 3fff:3f:540::/44 | 3fff:3f:54f:ffff:ffff:ffff:ffff:ffff |
| 86 | 3fff:3f:550::/44 | 3fff:3f:55f:ffff:ffff:ffff:ffff:ffff |
| 87 | 3fff:3f:560::/44 | 3fff:3f:56f:ffff:ffff:ffff:ffff:ffff |
| 88 | 3fff:3f:570::/44 | 3fff:3f:57f:ffff:ffff:ffff:ffff:ffff |
| 89 | 3fff:3f:580::/44 | 3fff:3f:58f:ffff:ffff:ffff:ffff:ffff |
| 90 | 3fff:3f:590::/44 | 3fff:3f:59f:ffff:ffff:ffff:ffff:ffff |
| 91 | 3fff:3f:5a0::/44 | 3fff:3f:5af:ffff:ffff:ffff:ffff:ffff |
| 92 | 3fff:3f:5b0::/44 | 3fff:3f:5bf:ffff:ffff:ffff:ffff:ffff |
| 93 | 3fff:3f:5c0::/44 | 3fff:3f:5cf:ffff:ffff:ffff:ffff:ffff |
| 94 | 3fff:3f:5d0::/44 | 3fff:3f:5df:ffff:ffff:ffff:ffff:ffff |
| 95 | 3fff:3f:5e0::/44 | 3fff:3f:5ef:ffff:ffff:ffff:ffff:ffff |
| 96 | 3fff:3f:5f0::/44 | 3fff:3f:5ff:ffff:ffff:ffff:ffff:ffff |
| 97 | 3fff:3f:600::/44 | 3fff:3f:60f:ffff:ffff:ffff:ffff:ffff |
| 98 | 3fff:3f:610::/44 | 3fff:3f:61f:ffff:ffff:ffff:ffff:ffff |
| 99 | 3fff:3f:620::/44 | 3fff:3f:62f:ffff:ffff:ffff:ffff:ffff |
| 100 | 3fff:3f:630::/44 | 3fff:3f:63f:ffff:ffff:ffff:ffff:ffff |
| 101 | 3fff:3f:640::/44 | 3fff:3f:64f:ffff:ffff:ffff:ffff:ffff |
| 102 | 3fff:3f:650::/44 | 3fff:3f:65f:ffff:ffff:ffff:ffff:ffff |
| 103 | 3fff:3f:660::/44 | 3fff:3f:66f:ffff:ffff:ffff:ffff:ffff |
| 104 | 3fff:3f:670::/44 | 3fff:3f:67f:ffff:ffff:ffff:ffff:ffff |
| 105 | 3fff:3f:680::/44 | 3fff:3f:68f:ffff:ffff:ffff:ffff:ffff |
| 106 | 3fff:3f:690::/44 | 3fff:3f:69f:ffff:ffff:ffff:ffff:ffff |
| 107 | 3fff:3f:6a0::/44 | 3fff:3f:6af:ffff:ffff:ffff:ffff:ffff |
| 108 | 3fff:3f:6b0::/44 | 3fff:3f:6bf:ffff:ffff:ffff:ffff:ffff |
| 109 | 3fff:3f:6c0::/44 | 3fff:3f:6cf:ffff:ffff:ffff:ffff:ffff |
| 110 | 3fff:3f:6d0::/44 | 3fff:3f:6df:ffff:ffff:ffff:ffff:ffff |
| 111 | 3fff:3f:6e0::/44 | 3fff:3f:6ef:ffff:ffff:ffff:ffff:ffff |
| 112 | 3fff:3f:6f0::/44 | 3fff:3f:6ff:ffff:ffff:ffff:ffff:ffff |
| 113 | 3fff:3f:700::/44 | 3fff:3f:70f:ffff:ffff:ffff:ffff:ffff |
| 114 | 3fff:3f:710::/44 | 3fff:3f:71f:ffff:ffff:ffff:ffff:ffff |
| 115 | 3fff:3f:720::/44 | 3fff:3f:72f:ffff:ffff:ffff:ffff:ffff |
| 116 | 3fff:3f:730::/44 | 3fff:3f:73f:ffff:ffff:ffff:ffff:ffff |
| 117 | 3fff:3f:740::/44 | 3fff:3f:74f:ffff:ffff:ffff:ffff:ffff |
| 118 | 3fff:3f:750::/44 | 3fff:3f:75f:ffff:ffff:ffff:ffff:ffff |
| 119 | 3fff:3f:760::/44 | 3fff:3f:76f:ffff:ffff:ffff:ffff:ffff |
| 120 | 3fff:3f:770::/44 | 3fff:3f:77f:ffff:ffff:ffff:ffff:ffff |
| 121 | 3fff:3f:780::/44 | 3fff:3f:78f:ffff:ffff:ffff:ffff:ffff |
| 122 | 3fff:3f:790::/44 | 3fff:3f:79f:ffff:ffff:ffff:ffff:ffff |
| 123 | 3fff:3f:7a0::/44 | 3fff:3f:7af:ffff:ffff:ffff:ffff:ffff |
| 124 | 3fff:3f:7b0::/44 | 3fff:3f:7bf:ffff:ffff:ffff:ffff:ffff |
| 125 | 3fff:3f:7c0::/44 | 3fff:3f:7cf:ffff:ffff:ffff:ffff:ffff |
| 126 | 3fff:3f:7d0::/44 | 3fff:3f:7df:ffff:ffff:ffff:ffff:ffff |
| 127 | 3fff:3f:7e0::/44 | 3fff:3f:7ef:ffff:ffff:ffff:ffff:ffff |
| 128 | 3fff:3f:7f0::/44 | 3fff:3f:7ff:ffff:ffff:ffff:ffff:ffff |
| 129 | 3fff:3f:800::/44 | 3fff:3f:80f:ffff:ffff:ffff:ffff:ffff |
| 130 | 3fff:3f:810::/44 | 3fff:3f:81f:ffff:ffff:ffff:ffff:ffff |
| 131 | 3fff:3f:820::/44 | 3fff:3f:82f:ffff:ffff:ffff:ffff:ffff |
| 132 | 3fff:3f:830::/44 | 3fff:3f:83f:ffff:ffff:ffff:ffff:ffff |
| 133 | 3fff:3f:840::/44 | 3fff:3f:84f:ffff:ffff:ffff:ffff:ffff |
| 134 | 3fff:3f:850::/44 | 3fff:3f:85f:ffff:ffff:ffff:ffff:ffff |
| 135 | 3fff:3f:860::/44 | 3fff:3f:86f:ffff:ffff:ffff:ffff:ffff |
| 136 | 3fff:3f:870::/44 | 3fff:3f:87f:ffff:ffff:ffff:ffff:ffff |
| 137 | 3fff:3f:880::/44 | 3fff:3f:88f:ffff:ffff:ffff:ffff:ffff |
| 138 | 3fff:3f:890::/44 | 3fff:3f:89f:ffff:ffff:ffff:ffff:ffff |
| 139 | 3fff:3f:8a0::/44 | 3fff:3f:8af:ffff:ffff:ffff:ffff:ffff |
| 140 | 3fff:3f:8b0::/44 | 3fff:3f:8bf:ffff:ffff:ffff:ffff:ffff |
| 141 | 3fff:3f:8c0::/44 | 3fff:3f:8cf:ffff:ffff:ffff:ffff:ffff |
| 142 | 3fff:3f:8d0::/44 | 3fff:3f:8df:ffff:ffff:ffff:ffff:ffff |
| 143 | 3fff:3f:8e0::/44 | 3fff:3f:8ef:ffff:ffff:ffff:ffff:ffff |
| 144 | 3fff:3f:8f0::/44 | 3fff:3f:8ff:ffff:ffff:ffff:ffff:ffff |
| 145 | 3fff:3f:900::/44 | 3fff:3f:90f:ffff:ffff:ffff:ffff:ffff |
| 146 | 3fff:3f:910::/44 | 3fff:3f:91f:ffff:ffff:ffff:ffff:ffff |
| 147 | 3fff:3f:920::/44 | 3fff:3f:92f:ffff:ffff:ffff:ffff:ffff |
| 148 | 3fff:3f:930::/44 | 3fff:3f:93f:ffff:ffff:ffff:ffff:ffff |
| 149 | 3fff:3f:940::/44 | 3fff:3f:94f:ffff:ffff:ffff:ffff:ffff |
| 150 | 3fff:3f:950::/44 | 3fff:3f:95f:ffff:ffff:ffff:ffff:ffff |
| 151 | 3fff:3f:960::/44 | 3fff:3f:96f:ffff:ffff:ffff:ffff:ffff |
| 152 | 3fff:3f:970::/44 | 3fff:3f:97f:ffff:ffff:ffff:ffff:ffff |
| 153 | 3fff:3f:980::/44 | 3fff:3f:98f:ffff:ffff:ffff:ffff:ffff |
| 154 | 3fff:3f:990::/44 | 3fff:3f:99f:ffff:ffff:ffff:ffff:ffff |
| 155 | 3fff:3f:9a0::/44 | 3fff:3f:9af:ffff:ffff:ffff:ffff:ffff |
| 156 | 3fff:3f:9b0::/44 | 3fff:3f:9bf:ffff:ffff:ffff:ffff:ffff |
| 157 | 3fff:3f:9c0::/44 | 3fff:3f:9cf:ffff:ffff:ffff:ffff:ffff |
| 158 | 3fff:3f:9d0::/44 | 3fff:3f:9df:ffff:ffff:ffff:ffff:ffff |
| 159 | 3fff:3f:9e0::/44 | 3fff:3f:9ef:ffff:ffff:ffff:ffff:ffff |
| 160 | 3fff:3f:9f0::/44 | 3fff:3f:9ff:ffff:ffff:ffff:ffff:ffff |
| 161 | 3fff:3f:a00::/44 | 3fff:3f:a0f:ffff:ffff:ffff:ffff:ffff |
| 162 | 3fff:3f:a10::/44 | 3fff:3f:a1f:ffff:ffff:ffff:ffff:ffff |
| 163 | 3fff:3f:a20::/44 | 3fff:3f:a2f:ffff:ffff:ffff:ffff:ffff |
| 164 | 3fff:3f:a30::/44 | 3fff:3f:a3f:ffff:ffff:ffff:ffff:ffff |
| 165 | 3fff:3f:a40::/44 | 3fff:3f:a4f:ffff:ffff:ffff:ffff:ffff |
| 166 | 3fff:3f:a50::/44 | 3fff:3f:a5f:ffff:ffff:ffff:ffff:ffff |
| 167 | 3fff:3f:a60::/44 | 3fff:3f:a6f:ffff:ffff:ffff:ffff:ffff |
| 168 | 3fff:3f:a70::/44 | 3fff:3f:a7f:ffff:ffff:ffff:ffff:ffff |
| 169 | 3fff:3f:a80::/44 | 3fff:3f:a8f:ffff:ffff:ffff:ffff:ffff |
| 170 | 3fff:3f:a90::/44 | 3fff:3f:a9f:ffff:ffff:ffff:ffff:ffff |
| 171 | 3fff:3f:aa0::/44 | 3fff:3f:aaf:ffff:ffff:ffff:ffff:ffff |
| 172 | 3fff:3f:ab0::/44 | 3fff:3f:abf:ffff:ffff:ffff:ffff:ffff |
| 173 | 3fff:3f:ac0::/44 | 3fff:3f:acf:ffff:ffff:ffff:ffff:ffff |
| 174 | 3fff:3f:ad0::/44 | 3fff:3f:adf:ffff:ffff:ffff:ffff:ffff |
| 175 | 3fff:3f:ae0::/44 | 3fff:3f:aef:ffff:ffff:ffff:ffff:ffff |
| 176 | 3fff:3f:af0::/44 | 3fff:3f:aff:ffff:ffff:ffff:ffff:ffff |
| 177 | 3fff:3f:b00::/44 | 3fff:3f:b0f:ffff:ffff:ffff:ffff:ffff |
| 178 | 3fff:3f:b10::/44 | 3fff:3f:b1f:ffff:ffff:ffff:ffff:ffff |
| 179 | 3fff:3f:b20::/44 | 3fff:3f:b2f:ffff:ffff:ffff:ffff:ffff |
| 180 | 3fff:3f:b30::/44 | 3fff:3f:b3f:ffff:ffff:ffff:ffff:ffff |
| 181 | 3fff:3f:b40::/44 | 3fff:3f:b4f:ffff:ffff:ffff:ffff:ffff |
| 182 | 3fff:3f:b50::/44 | 3fff:3f:b5f:ffff:ffff:ffff:ffff:ffff |
| 183 | 3fff:3f:b60::/44 | 3fff:3f:b6f:ffff:ffff:ffff:ffff:ffff |
| 184 | 3fff:3f:b70::/44 | 3fff:3f:b7f:ffff:ffff:ffff:ffff:ffff |
| 185 | 3fff:3f:b80::/44 | 3fff:3f:b8f:ffff:ffff:ffff:ffff:ffff |
| 186 | 3fff:3f:b90::/44 | 3fff:3f:b9f:ffff:ffff:ffff:ffff:ffff |
| 187 | 3fff:3f:ba0::/44 | 3fff:3f:baf:ffff:ffff:ffff:ffff:ffff |
| 188 | 3fff:3f:bb0::/44 | 3fff:3f:bbf:ffff:ffff:ffff:ffff:ffff |
| 189 | 3fff:3f:bc0::/44 | 3fff:3f:bcf:ffff:ffff:ffff:ffff:ffff |
| 190 | 3fff:3f:bd0::/44 | 3fff:3f:bdf:ffff:ffff:ffff:ffff:ffff |
| 191 | 3fff:3f:be0::/44 | 3fff:3f:bef:ffff:ffff:ffff:ffff:ffff |
| 192 | 3fff:3f:bf0::/44 | 3fff:3f:bff:ffff:ffff:ffff:ffff:ffff |
| 193 | 3fff:3f:c00::/44 | 3fff:3f:c0f:ffff:ffff:ffff:ffff:ffff |
| 194 | 3fff:3f:c10::/44 | 3fff:3f:c1f:ffff:ffff:ffff:ffff:ffff |
| 195 | 3fff:3f:c20::/44 | 3fff:3f:c2f:ffff:ffff:ffff:ffff:ffff |
| 196 | 3fff:3f:c30::/44 | 3fff:3f:c3f:ffff:ffff:ffff:ffff:ffff |
| 197 | 3fff:3f:c40::/44 | 3fff:3f:c4f:ffff:ffff:ffff:ffff:ffff |
| 198 | 3fff:3f:c50::/44 | 3fff:3f:c5f:ffff:ffff:ffff:ffff:ffff |
| 199 | 3fff:3f:c60::/44 | 3fff:3f:c6f:ffff:ffff:ffff:ffff:ffff |
| 200 | 3fff:3f:c70::/44 | 3fff:3f:c7f:ffff:ffff:ffff:ffff:ffff |
| 201 | 3fff:3f:c80::/44 | 3fff:3f:c8f:ffff:ffff:ffff:ffff:ffff |
| 202 | 3fff:3f:c90::/44 | 3fff:3f:c9f:ffff:ffff:ffff:ffff:ffff |
| 203 | 3fff:3f:ca0::/44 | 3fff:3f:caf:ffff:ffff:ffff:ffff:ffff |
| 204 | 3fff:3f:cb0::/44 | 3fff:3f:cbf:ffff:ffff:ffff:ffff:ffff |
| 205 | 3fff:3f:cc0::/44 | 3fff:3f:ccf:ffff:ffff:ffff:ffff:ffff |
| 206 | 3fff:3f:cd0::/44 | 3fff:3f:cdf:ffff:ffff:ffff:ffff:ffff |
| 207 | 3fff:3f:ce0::/44 | 3fff:3f:cef:ffff:ffff:ffff:ffff:ffff |
| 208 | 3fff:3f:cf0::/44 | 3fff:3f:cff:ffff:ffff:ffff:ffff:ffff |
| 209 | 3fff:3f:d00::/44 | 3fff:3f:d0f:ffff:ffff:ffff:ffff:ffff |
| 210 | 3fff:3f:d10::/44 | 3fff:3f:d1f:ffff:ffff:ffff:ffff:ffff |
| 211 | 3fff:3f:d20::/44 | 3fff:3f:d2f:ffff:ffff:ffff:ffff:ffff |
| 212 | 3fff:3f:d30::/44 | 3fff:3f:d3f:ffff:ffff:ffff:ffff:ffff |
| 213 | 3fff:3f:d40::/44 | 3fff:3f:d4f:ffff:ffff:ffff:ffff:ffff |
| 214 | 3fff:3f:d50::/44 | 3fff:3f:d5f:ffff:ffff:ffff:ffff:ffff |
| 215 | 3fff:3f:d60::/44 | 3fff:3f:d6f:ffff:ffff:ffff:ffff:ffff |
| 216 | 3fff:3f:d70::/44 | 3fff:3f:d7f:ffff:ffff:ffff:ffff:ffff |
| 217 | 3fff:3f:d80::/44 | 3fff:3f:d8f:ffff:ffff:ffff:ffff:ffff |
| 218 | 3fff:3f:d90::/44 | 3fff:3f:d9f:ffff:ffff:ffff:ffff:ffff |
| 219 | 3fff:3f:da0::/44 | 3fff:3f:daf:ffff:ffff:ffff:ffff:ffff |
| 220 | 3fff:3f:db0::/44 | 3fff:3f:dbf:ffff:ffff:ffff:ffff:ffff |
| 221 | 3fff:3f:dc0::/44 | 3fff:3f:dcf:ffff:ffff:ffff:ffff:ffff |
| 222 | 3fff:3f:dd0::/44 | 3fff:3f:ddf:ffff:ffff:ffff:ffff:ffff |
| 223 | 3fff:3f:de0::/44 | 3fff:3f:def:ffff:ffff:ffff:ffff:ffff |
| 224 | 3fff:3f:df0::/44 | 3fff:3f:dff:ffff:ffff:ffff:ffff:ffff |
| 225 | 3fff:3f:e00::/44 | 3fff:3f:e0f:ffff:ffff:ffff:ffff:ffff |
| 226 | 3fff:3f:e10::/44 | 3fff:3f:e1f:ffff:ffff:ffff:ffff:ffff |
| 227 | 3fff:3f:e20::/44 | 3fff:3f:e2f:ffff:ffff:ffff:ffff:ffff |
| 228 | 3fff:3f:e30::/44 | 3fff:3f:e3f:ffff:ffff:ffff:ffff:ffff |
| 229 | 3fff:3f:e40::/44 | 3fff:3f:e4f:ffff:ffff:ffff:ffff:ffff |
| 230 | 3fff:3f:e50::/44 | 3fff:3f:e5f:ffff:ffff:ffff:ffff:ffff |
| 231 | 3fff:3f:e60::/44 | 3fff:3f:e6f:ffff:ffff:ffff:ffff:ffff |
| 232 | 3fff:3f:e70::/44 | 3fff:3f:e7f:ffff:ffff:ffff:ffff:ffff |
| 233 | 3fff:3f:e80::/44 | 3fff:3f:e8f:ffff:ffff:ffff:ffff:ffff |
| 234 | 3fff:3f:e90::/44 | 3fff:3f:e9f:ffff:ffff:ffff:ffff:ffff |
| 235 | 3fff:3f:ea0::/44 | 3fff:3f:eaf:ffff:ffff:ffff:ffff:ffff |
| 236 | 3fff:3f:eb0::/44 | 3fff:3f:ebf:ffff:ffff:ffff:ffff:ffff |
| 237 | 3fff:3f:ec0::/44 | 3fff:3f:ecf:ffff:ffff:ffff:ffff:ffff |
| 238 | 3fff:3f:ed0::/44 | 3fff:3f:edf:ffff:ffff:ffff:ffff:ffff |
| 239 | 3fff:3f:ee0::/44 | 3fff:3f:eef:ffff:ffff:ffff:ffff:ffff |
| 240 | 3fff:3f:ef0::/44 | 3fff:3f:eff:ffff:ffff:ffff:ffff:ffff |
| 241 | 3fff:3f:f00::/44 | 3fff:3f:f0f:ffff:ffff:ffff:ffff:ffff |
| 242 | 3fff:3f:f10::/44 | 3fff:3f:f1f:ffff:ffff:ffff:ffff:ffff |
| 243 | 3fff:3f:f20::/44 | 3fff:3f:f2f:ffff:ffff:ffff:ffff:ffff |
| 244 | 3fff:3f:f30::/44 | 3fff:3f:f3f:ffff:ffff:ffff:ffff:ffff |
| 245 | 3fff:3f:f40::/44 | 3fff:3f:f4f:ffff:ffff:ffff:ffff:ffff |
| 246 | 3fff:3f:f50::/44 | 3fff:3f:f5f:ffff:ffff:ffff:ffff:ffff |
| 247 | 3fff:3f:f60::/44 | 3fff:3f:f6f:ffff:ffff:ffff:ffff:ffff |
| 248 | 3fff:3f:f70::/44 | 3fff:3f:f7f:ffff:ffff:ffff:ffff:ffff |
| 249 | 3fff:3f:f80::/44 | 3fff:3f:f8f:ffff:ffff:ffff:ffff:ffff |
| 250 | 3fff:3f:f90::/44 | 3fff:3f:f9f:ffff:ffff:ffff:ffff:ffff |
| 251 | 3fff:3f:fa0::/44 | 3fff:3f:faf:ffff:ffff:ffff:ffff:ffff |
| 252 | 3fff:3f:fb0::/44 | 3fff:3f:fbf:ffff:ffff:ffff:ffff:ffff |
| 253 | 3fff:3f:fc0::/44 | 3fff:3f:fcf:ffff:ffff:ffff:ffff:ffff |
| 254 | 3fff:3f:fd0::/44 | 3fff:3f:fdf:ffff:ffff:ffff:ffff:ffff |
| 255 | 3fff:3f:fe0::/44 | 3fff:3f:fef:ffff:ffff:ffff:ffff:ffff |
| 256 | 3fff:3f:ff0::/44 | 3fff:3f:fff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |